/***************************************************************************
                          sendscene.h  -  description
                             -------------------
    begin                : Sun Dec 22 2002
    copyright            : (C) 2002 by Andre Stein
    email                : andre_stein@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SENDSCENE_H
#define SENDSCENE_H

#include "sbmptexture.h"

/**
  *@author Andre Stein
  */

class SEndScene
{
public: 
	SEndScene();
	~SEndScene();
 
        void update(float frametime);
        void init();

        void draw();
        void isFinished();
protected:
        SBMPTexture texture;
        float leftScrollPosition;
        float roll;
};

#endif
