/***************************************************************************
                          ssoundsystem.h  -  description
                             -------------------
    begin                : Sun Dec 22 2002
    copyright            : (C) 2002 by Andre Stein
    email                : andre_stein@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SSOUNDSYSTEM_H
#define SSOUNDSYSTEM_H

#include <fmod.h>

/**
  *@author Andre Stein
  */

enum SSample
{
        SAMPLE_MERRYCHRISTMAS,
        SAMPLE_BACKGROUND
};

class SSoundSystem
{
public: 
	SSoundSystem();
	~SSoundSystem();

        void init();
        void playSample(SSample sample);
  /** No descriptions */
  void stopAll();
protected:
        bool inited;
        FSOUND_STREAM* merryChristmas;
        FSOUND_STREAM* background;
};

#endif
