/***************************************************************************
                          smenu.h  -  description
                             -------------------
    begin                : Sun Dec 29 2002
    copyright            : (C) 2002 by Andre Stein
    email                : andre_stein@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SMENU_H
#define SMENU_H

#include "definition.h"
#include "sbmpfont.h"
#include "sconfiguration.h"


/**
  *@author Andre Stein
  */
  
enum SMenuScreen
{
        MENU_MAIN,
        MENU_OPTIONS        
};

class SMenu
{
public: 
	SMenu();
	~SMenu();

        void moveDown();
        void moveUp();
        void create(SBMPFont* bitmapFont, SConfiguration* config);

        SGameState enter();
        void draw();
  /** No descriptions */
  void back();
protected:
        SBMPFont* font;
        SConfiguration* configFile;
        SMenuScreen menu;
        int position;
};

#endif
